Subject: bug#34018: EWW: Face property changes around newlines

From: "T.V Raman" <[email-masked]>
Date: Tue, 08 Jan 2019 13:41:42 -0800

In general, font-lock in emacs tends to set properties  like so:

If you have a doc string that is multiline, the whitespace in that
comment -- including the newline chars-- get the  same font/face property.

EWW appears to work differently -- if you take a plain paragraph that
spans multiple lines, the text uses "variable-pitch" as  the face
property -- except that that property is not set on the newline
characters within the paragraph. 

I'm sure this makes no visible difference to the layout -- but it
affects Emacspeak's logic for breaking content into meaningful
clauses. Could EWW be made consistent with the rest of Emacs' font-lock
in this regard?
-- 
Id: kg:/m/0285kf1